package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2021/8/17 0017
 */
public class EduOrganStudentListDto {

    @ApiModelProperty("学员编号")
    private Integer studentId;

    @ApiModelProperty("姓名")
    private String studentName;

    @ApiModelProperty("指导老师编号")
    private Integer teacherId;

    @ApiModelProperty("指导老师名称")
    private String teacherName;

    @ApiModelProperty("声部编号")
    private Integer subjectId;

    @ApiModelProperty("声部名称")
    private String subjectName;

    @ApiModelProperty("乐团名称")
    private String musicGroupNames;

    @ApiModelProperty("是否有小课")
    private int hasVipGroup;

    @ApiModelProperty("训练次数")
    private int cloudStudyUseNum;

    @ApiModelProperty("平均时长")
    private double cloudStudyUseAvgTime;

    @ApiModelProperty("总时长")
    private  double cloudStudyUseTime;

    @ApiModelProperty("连续天数")
    private int cloudStudyRunningDays;

    @ApiModelProperty("使用天数")
    private int cloudStudyUseDays;

    @ApiModelProperty("会员有效期")
    private String membershipEndTime;

    private String currentGradeNum;

    private String currentClass;

    private Integer countFlag;

    public String getCurrentGradeNum() {
        return currentGradeNum;
    }

    public void setCurrentGradeNum(String currentGradeNum) {
        this.currentGradeNum = currentGradeNum;
    }

    public String getCurrentClass() {
        return currentClass;
    }

    public void setCurrentClass(String currentClass) {
        this.currentClass = currentClass;
    }

    public Integer getCountFlag() {
        return countFlag;
    }

    public void setCountFlag(Integer countFlag) {
        this.countFlag = countFlag;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getMusicGroupNames() {
        return musicGroupNames;
    }

    public void setMusicGroupNames(String musicGroupNames) {
        this.musicGroupNames = musicGroupNames;
    }

    public int getHasVipGroup() {
        return hasVipGroup;
    }

    public void setHasVipGroup(int hasVipGroup) {
        this.hasVipGroup = hasVipGroup;
    }

    public int getCloudStudyUseNum() {
        return cloudStudyUseNum;
    }

    public void setCloudStudyUseNum(int cloudStudyUseNum) {
        this.cloudStudyUseNum = cloudStudyUseNum;
    }

    public double getCloudStudyUseAvgTime() {
        return cloudStudyUseAvgTime;
    }

    public void setCloudStudyUseAvgTime(double cloudStudyUseAvgTime) {
        this.cloudStudyUseAvgTime = cloudStudyUseAvgTime;
    }

    public double getCloudStudyUseTime() {
        return cloudStudyUseTime;
    }

    public void setCloudStudyUseTime(double cloudStudyUseTime) {
        this.cloudStudyUseTime = cloudStudyUseTime;
    }

    public int getCloudStudyRunningDays() {
        return cloudStudyRunningDays;
    }

    public void setCloudStudyRunningDays(int cloudStudyRunningDays) {
        this.cloudStudyRunningDays = cloudStudyRunningDays;
    }

    public String getMembershipEndTime() {
        return membershipEndTime;
    }

    public void setMembershipEndTime(String membershipEndTime) {
        this.membershipEndTime = membershipEndTime;
    }

    public int getCloudStudyUseDays() {
        return cloudStudyUseDays;
    }

    public void setCloudStudyUseDays(int cloudStudyUseDays) {
        this.cloudStudyUseDays = cloudStudyUseDays;
    }
}
